org.apache.poi.hslf.blip

## Class Bitmap

- java.lang.Object
- - org.apache.poi.hslf.usermodel.HSLFPictureData
  - - org.apache.poi.hslf.blip.Bitmap

- All Implemented Interfaces:
    GenericRecord, PictureData
  Direct Known Subclasses:
    DIB, JPEG, PNG

      public abstract class Bitmap
      extends HSLFPictureData

  Represents a bitmap picture data: JPEG or PNG. The data is not compressed and the exact file content is written in the stream.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.poi.sl.usermodel.PictureData

      `PictureData.PictureType`

  - ### Field Summary

    - ### Fields inherited from class org.apache.poi.hslf.usermodel.HSLFPictureData

      `CHECKSUM_SIZE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bitmap()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte[]` | `getData()` Returns the binary data of this Picture
    `java.awt.Dimension` | `getImageDimension()` Return the original image dimensions in points (for formats supported by BufferedImage).
    `void` | `setData(byte[] data)` Sets the binary picture data

    - ### Methods inherited from class org.apache.poi.hslf.usermodel.HSLFPictureData

      `create, getChecksum, getChecksum, getContentType, getGenericProperties, getHeader, getImageDimensionInPixels, getIndex, getOffset, getRawData, getSignature, getUID, getUIDInstanceCount, setIndex, setOffset, setRawData, setSignature, setUIDInstanceCount, write`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.poi.sl.usermodel.PictureData

      `getType`

    - ### Methods inherited from interface org.apache.poi.common.usermodel.GenericRecord

      `getGenericChildren, getGenericRecordType`

- - ### Constructor Detail

    - #### Bitmap

          public Bitmap()

  - ### Method Detail

    - #### getData

          public byte[] getData()

      Description copied from interface: `PictureData`
      Returns the binary data of this Picture
      Returns:
        picture data

    - #### setData

          public void setData(byte[] data)
                       throws java.io.IOException

      Description copied from interface: `PictureData`
      Sets the binary picture data
      Parameters:
        `data` - picture data
      Throws:
        `java.io.IOException`

    - #### getImageDimension

          public java.awt.Dimension getImageDimension()

      Description copied from interface: `PictureData`
      Return the original image dimensions in points (for formats supported by BufferedImage). Will return a Dimension with a default width of 200x200 if the format unsupported.

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.